#!/usr/bin/perl

use strict;

# test and install require modules
my @modules;
@modules = ('Locale::Maketext::Lexicon',
	    'XML::Simple',
            'Time::HiRes',
            'HTML::Parser', # >= version 3.56
	    'HTML::Summary',
	    'HTML::Tree',
	    'Encode',
	    'Curses',
	    'IO::File',
	    'HTML::TreeBuilder',
	    'Getopt::Long',
	    'LWP::Simple',
	    'LWP::UserAgent',
	    'HTTP::Cookies',
	    'I18N::LangTags::Detect',
	    'Cwd',
	    'FileHandle',
	    'Socket',
	    'IPC::Open2',
	    'IO::Handle',
	    'Carp',
	    'AutoLoader',
	    'ExtUtils::Constant',
	    'ExtUtils::MakeMaker',
	    'File::Copy',
	    'File::Spec',
	    'Test::More',
	    'Test::Pod',
	    'Storable',
	   );

foreach my $module (@modules) {
  my $module_path = $module;
  $module_path =~ s/::/\//g;
  $module_path .= '.pm';
  if (!eval("require \"$module_path\"")) {
    print "Installing $module ...";
    system("cpan -i $module");
    print "done.\n";
  }
}
